#include <iostream>
using namespace std;

bool ascending(int a[], int n){
    bool test = true, provera = true;
    if(n == 1){
        return true;
    }
    else{
        for(int i = 0;i < n-1;i++){
            if(a[i] > a[i+1]){
                if(provera){
                    provera = false;
                }
                else{
                    test = false;
                    break;
                }
            }
        }
    }
    return test;
}

void provera(int b[], int l, int r, int n){
    int m = r-l+1, f = 0;
    int a[m];
    int k = 0;
    int c[m-1];
    bool provera = false;
    for(int i = l-1;i < r;i++){
        a[k] = b[i];
        k++;
    }
    if(ascending(a, m)){
        cout << "DA\n";
    }
    else{
        if(ascending(a,m)){
            cout << "DA\n";
        }
        else{
            cout << "NE\n";
        }
    }
}

int main()
{
    int n, q;
    n = 100000;
    int a[n];
    for(int i = 0;i < n;i++){
        if(i < 50000){
            a[i] = 1;
        }
        else{
            a[i] = 2;
        }
    }
    q = 1;
    int l[q], r[q];
    for(int i = 0;i < q;i++){
        l[i] = 1;
        r[i] = 99999;
    }
    for(int i = 0;i < q;i++){
        provera(a,l[i],r[i],n);
    }
    return 0;
}